Bug 52571 - [contacts] Missing API due to binding error
Summary: [contacts] Missing API due to binding error
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: Future Cycle (TBD)
Assignee: Alex Soto [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-02-16 15:56 UTC by Sebastien Pouliot
Modified: 2017-03-15 16:09 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2017-02-16 15:56:35 UTC
xtro

common.unclassified:!missing-selector! +CNContainer::predicateForContainerOfContactWithIdentifier: not bound
common.unclassified:!missing-selector! +CNContainer::predicateForContainerOfGroupWithIdentifier: not bound
common.unclassified:!missing-selector! +CNContainer::predicateForContainersWithIdentifiers: not bound
common.unclassified:!missing-selector! +CNGroup::predicateForGroupsInContainerWithIdentifier: not bound
common.unclassified:!missing-selector! +CNGroup::predicateForGroupsWithIdentifiers: not bound
osx.unclassified:!missing-selector! +CNGroup::predicateForSubgroupsInGroupWithIdentifier: not bound

The issue (at least for some) is that [Static] was used in a [Category] [1], e.g.

	[iOS (9,0), Mac (10,11, onlyOn64: true)]
	[Category]
	[BaseType (typeof (CNContainer))]
	interface CNContainer_PredicatesExtension {

		[Static]
		[Export ("predicateForContainersWithIdentifiers:")]
		NSPredicate GetPredicateForContainers (string [] identifiers);

		[Static]
		[Export ("predicateForContainerOfContactWithIdentifier:")]
		NSPredicate GetPredicateForContainerOfContact (string contactIdentifier);

		[Static]
		[Export ("predicateForContainerOfGroupWithIdentifier:")]
		NSPredicate GetPredicateForContainerOfGroup (string groupIdentifier);
	}


[1] filed as a generator bug in https://bugzilla.xamarin.com/show_bug.cgi?id=52570
Comment 1 Alex Soto [MSFT] 2017-03-14 23:57:43 UTC
PR https://github.com/xamarin/xamarin-macios/pull/1874
Comment 2 Alex Soto [MSFT] 2017-03-15 16:09:26 UTC
Fixed in xamarin-macios/master @ ba3413ce4df70670d6817cb5eb3955d38c896602